Subject: [xrblock] WG Submission of draft-ietf-xrblock-rtcp-xr-psi-decodability-03

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 19 May 2014 10:28:11 +0000

Hi Alissa and IESG-Secretary,

The XRBLOCK WG has completed the work and reached consensus on submitting draft-ietf-xrblock-rtcp-xr-psi-decodability-03 for consideration as Proposed Standard.

Please find below the shepherd write-up.

Thanks and Regards,

Dan

--------------------------------------------

(1)  What type of RFC is being requested (BCP, Proposed Standard, Internet Standard, Informational, Experimental, or Historic)? Why is this the proper type of RFC? Is this type of RFC indicated in the title page header?

Standards Track (Proposed Standard) - mentioned in the header

(2) The IESG approval announcement includes a Document Announcement Write-Up. Please provide such a Document Announcement Write-Up. Recent examples can be found in the "Action" announcements for approved documents. The approval announcement contains the following sections:

Technical Summary:
   An MPEG2 Transport Stream (TS) is a standard container format used in
   the transmission and storage of multimedia data.  Unicast/Multicast
   MPEG2 TS over RTP is widely deployed in IPTV systems.  This document
   defines an RTP Control Protocol (RTCP) Extended Report (XR) Block
   that allows the reporting of MPEG2 TS decodability statistics metrics
   related to transmissions of MPEG2 TS over RTP.  The metrics specified
   in the RTCP XR Block are related to Program specific information
   carried in MPEG TS.

Working Group Summary:

The document was reviewed by the key contributors in the WG, and the comments were addressed accordingly.

Document Quality:

MPEG2 is a mature and widely deployed technology. The document was reviewed by Christer Holmberg for the SDP directorate. At least one contributor expressed the intentions of his employer to implement the future RFC.

Personnel:

Dan Romascanu is the Document Shepherd. Alissa Cooper is the Responsible Area Director.

(3)  Briefly describe the review of this document that was performed by the Document Shepherd. If this version of the document is not ready for publication, please explain why the document is being forwarded to the IESG.

I reviewed the document and I believe that it is ready for submission.

(4)  Does the document Shepherd have any concerns about the depth or breadth of the reviews that have been performed?

No

(5)  Do portions of the document need review from a particular or from broader perspective, e.g., security, operational complexity, AAA, DNS, DHCP, XML, or internationalization? If so, describe the review that took place.

The usual reviews for the XRBLOCK documents. SDP directorate review was already performed.

(6)  Describe any specific concerns or issues that the Document Shepherd has with this document that the Responsible Area Director and/or the IESG should be aware of? For example, perhaps he or she is uncomfortable with certain parts of the document, or has concerns whether there really is a need for it. In any event, if the WG has discussed those issues and has indicated that it still wishes to advance the document, detail those concerns here.

No concerns.

(7)  Has each author confirmed that any and all appropriate IPR disclosures required for full conformance with the provisions of BCP 78 and BCP 79 have already been filed. If not, explain why?

Yes.

(8)  Has an IPR disclosure been filed that references this document? If so, summarize any WG discussion and conclusion regarding the IPR disclosures.

None.

(9)  How solid is the WG consensus behind this document? Does it represent the strong concurrence of a few individuals, with others being silent, or does the WG as a whole understand and agree with it?

The number of participants in the XRBLOCK WG is not too large. The current active participants showed consensus on submitting the document.

(10)               Has anyone threatened an appeal or otherwise indicated extreme discontent? If so, please summarise the areas of conflict in separate email messages to the Responsible Area Director. (It should be in a separate email because this questionnaire is publicly available.)

no

(11)               Identify any ID nits the Document Shepherd has found in this document. (See http://www.ietf.org/tools/idnits/ and the Internet-Drafts Checklist). Boilerplate checks are not enough; this check needs to be thorough.

idnits runs clean. One warning about a normative reference to an ETSI TR can be ignored, as ETSI TRs have been considered in other cases as holding the same level as IETF Standards Track documents for these purpose.

(12)               Describe how the document meets any required formal review criteria, such as the MIB Doctor, media type, and URI type reviews.

SDP review was performed, and the comments made by the reviewer were addressed.

(13)               Have all references within this document been identified as either normative or informative?

Yes

(14)               Are there normative references to documents that are not ready for advancement or are otherwise in an unclear state? If such normative references exist, what is the plan for their completion?

No. See (11)

(15)               Are there downward normative references (see RFC 3967)? If so, list these downward references to support the Area Director in the Last Call procedure.

No. See (11)

(16)               Will publication of this document change the status of any existing RFCs? Are those RFCs listed on the title page header, listed in the abstract, and discussed in the introduction? If the RFCs are not listed in the Abstract and Introduction, explain why, and point to the part of the document where the relationship of this document to the other RFCs is discussed. If this information is not in the document, explain why the WG considers it unnecessary.

N/A

(17) Describe the Document Shepherd's review of the IANA considerations section, especially with regard to its consistency with the body of the document. Confirm that all protocol extensions that the document makes are associated with the appropriate reservations in IANA registries. Confirm that any referenced IANA registries have been clearly identified. Confirm that newly created IANA registries include a detailed specification of the initial contents for the registry, that allocations procedures for future registrations are defined, and a reasonable name for the new registry has been suggested (see RFC 5226).

IANA is required to add one new value in two existing registries, according to procedures described in RFC 3611 and RFC 4566. No problems here.

(18) List any new IANA registries that require Expert Review for future allocations. Provide any public guidance that the IESG would find useful in selecting the IANA Experts for these new registries.

No new registries.

(19) Describe reviews and automated checks performed by the Document Shepherd to validate sections of the document written in a formal language, such as XML code, BNF rules, MIB definitions, etc.
N/A